summaryrefslogtreecommitdiffstats
path: root/libraries/libgksu
diff options
context:
space:
mode:
author Stylianos Tsampas <ztsampas@otenet.gr>2010-05-12 23:30:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:30:30 +0200
commitadd74f2254e14d9fbe933646738bf93872b69290 (patch)
treeba5f0a21b2256077e5256fefb504e6ed3eecccba /libraries/libgksu
parent91cc7efb0ba9b02f811bff469ff88d34ab716b6a (diff)
downloadslackbuilds-add74f2254e14d9fbe933646738bf93872b69290.tar.gz
slackbuilds-add74f2254e14d9fbe933646738bf93872b69290.tar.xz
libraries/libgksu: Added to 12.2 repository
Diffstat (limited to 'libraries/libgksu')
-rw-r--r--libraries/libgksu/README7
-rw-r--r--libraries/libgksu/doinst.sh13
-rw-r--r--libraries/libgksu/libgksu.SlackBuild96
-rw-r--r--libraries/libgksu/libgksu.info8
-rw-r--r--libraries/libgksu/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/libraries/libgksu/README b/libraries/libgksu/README
new file mode 100644
index 0000000000..433ce3149c
--- /dev/null
+++ b/libraries/libgksu/README
@@ -0,0 +1,7 @@
+GKSu is a library that provides a Gtk+ frontend to su and sudo.
+It supports login shells and preserving environment when acting as
+a frontend to su. It is useful to menu items or other graphical
+programs that need to ask a user's password to run another program
+as another user.
+
+It requires GConf, libgtop, and gnome-keyring.
diff --git a/libraries/libgksu/doinst.sh b/libraries/libgksu/doinst.sh
new file mode 100644
index 0000000000..61a1ca52d9
--- /dev/null
+++ b/libraries/libgksu/doinst.sh
@@ -0,0 +1,13 @@
+GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/gksu.schemas \
+ 1>/dev/null
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database /usr/share/mime &> /dev/null
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database &> /dev/null
+fi
+
diff --git a/libraries/libgksu/libgksu.SlackBuild b/libraries/libgksu/libgksu.SlackBuild
new file mode 100644
index 0000000000..387b5e94ab
--- /dev/null
+++ b/libraries/libgksu/libgksu.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for <libgksu>
+
+# Copyright 2008 Stylianos Tsampas <ztsampas@otenet.gr>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=libgksu
+VERSION=${VERSION:-2.0.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-schemas-install \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/etc/gconf/gconf.xml.defaults
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL ChangeLog COPYING AUTHORS ABOUT-NLS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s /usr/share/gtk-doc/html/libgksu html
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libgksu/libgksu.info b/libraries/libgksu/libgksu.info
new file mode 100644
index 0000000000..e61a90497a
--- /dev/null
+++ b/libraries/libgksu/libgksu.info
@@ -0,0 +1,8 @@
+PRGNAM="libgksu"
+VERSION="2.0.7"
+HOMEPAGE="http://www.nongnu.org/gksu/"
+DOWNLOAD="http://people.debian.org/~kov/gksu/libgksu-2.0.7.tar.gz"
+MD5SUM="2f2c6a21281370942ea2855553d3ad89"
+MAINTAINER="Stylianos Tsampas"
+EMAIL="ztsampas@otenet.gr"
+APPROVED="rworkman"
diff --git a/libraries/libgksu/slack-desc b/libraries/libgksu/slack-desc
new file mode 100644
index 0000000000..e039eaef58
--- /dev/null
+++ b/libraries/libgksu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libgksu: libgksu (library for gksu)
+libgksu:
+libgksu: libgksu is a library that provides a Gtk+ frontend to su and sudo.
+libgksu: It supports login shells and preserving environment when acting as
+libgksu: a su frontend. It is useful to menu items or other graphical
+libgksu: programs that need to ask a user's password to run another program
+libgksu: as another user.
+libgksu:
+libgksu: Homepage: http://www.nongnu.org/gksu/
+libgksu:
+libgksu: